#include "initFile.h"
#include "stm32f0xx.h"

/********************************************************/
/*    Funkcija za inicijalizaciju GPIO plave ledice     */
/********************************************************/
void initBlueLED(void) {
	
	GPIO_InitTypeDef blueLEDStruct;
	
	RCC_AHBPeriphClockCmd(RCC_AHBPeriph_GPIOC, ENABLE);
	GPIO_StructInit(&blueLEDStruct);
	blueLEDStruct.GPIO_Pin = GPIO_Pin_8;
	blueLEDStruct.GPIO_Mode = GPIO_Mode_OUT;
	blueLEDStruct.GPIO_Speed = GPIO_Speed_50MHz;
	blueLEDStruct.GPIO_OType = GPIO_OType_PP;
	GPIO_Init(GPIOC, &blueLEDStruct);
	
	GPIO_ResetBits(GPIOC, GPIO_Pin_8);
	}
