#include "stm32f0xx_gpio.h"

//
//Constants used to communicate 
//
#define WTV20SD_PLAY_PAUSE 0xFFFE
#define WTV20SD_STOP 0xFFFF
#define WTV20SD_VOLUME_MIN 0xFFF0
#define WTV20SD_VOLUME_MAX 0xFFF7

//
//Functions
//
void WTV20SD_init(void);
void WTV20SD_reset(void);
void WTV20SD_playVoice(int voiceNumber);
void WTV20SD_asyncPlayVoice(int voiceNumber);
void WTV20SD_stopVoice(void);
void WTV20SD_pauseVoice(void);
void WTV20SD_mute(void);
void WTV20SD_unmute(void);
void WTV20SD_volume(int level);
void WTV20SD_sendCommand(unsigned int command);
